package net.sf.corn.converter.json;

import net.sf.corn.converter.ConversionException;
import net.sf.corn.converter.ObjectReferenceMap;

class CnvBoolean extends AbstractJsonConverter {

	CnvBoolean() {
		getConvertibles().add(boolean.class);
		getConvertibles().add(Boolean.class);
	}

	protected JsTypeObject inToTarget(Object o, ObjectReferenceMap referenceMap)
			throws ConversionException {
		return new JsTypeSimple(o);
	}

	protected Object inToJava(Class<?> clazz, JsTypeObject obj)
			throws ConversionException {
		if (!obj.isSimple()) {
			throw new ConversionException(this.getClass().getName()
					+ " can't be used as converter for " + clazz.getName());
		}
		Object retVal = null;
		try {
			retVal = Boolean.valueOf(obj.toStringValue());
		} catch (Exception e) {
			throw new ConversionException(
					"An exception occured while transforming json to "
							+ clazz.getName(), e);
		}
		// Reverse must be proven
		if (!obj.toStringValue().equalsIgnoreCase(retVal.toString())) {
			throw new ConversionException(this.getClass().getName()
					+ " can't be used as converter for " + clazz.getName());
		}
		return retVal;
	}

	@Override
	public boolean isSubjectForCircularReferenceCheck() {
		return false;
	}

}
