package net.sf.corn.converter.json;
/**
 * JSON Module Constant Values 
 * @author Serhat Dirik
 */
public interface IJsonConstants {
	/*
	 * JSON OBJECT ATTRIBUTE NAME CONSTANTS
	 */
	/**
	 * JSON Objects keeps java class name within this attribute
	 */
	public final static String ATTR_CLASSNAME = "classHint";
	/**
	 * The value attribute
	 */
	public static final String ATTR_VALUE = "value";
	/**
	 * List values kept within this attribute
	 */
	public static final String ATTR_LIST = "list";
	/**
	 * Set values kept within this attribute
	 */
	public static final String ATTR_SET = "set";
	/**
	 * Array values kept within this attribute
	 */
	public static final String ATTR_ARRAY = "array";
	/**
	 * Time attribute 
	 */
	public static final String ATTR_TIME = "time";
	/**
	 * Java timezone id
	 */
	public static final String ATTR_TIMEZONEID = "timeZoneId";
	/**
	 * Map key,value pairs are wrapped within
	 */
	public static final String ATTR_MAP = "map";
	/**
	 * Key attribute of map
	 */
	public static final String ATTR_MAP_KEY = "key";
	/**
	 * Value attribute of map
	 */
	public static final String ATTR_MAP_VALUE = "value";

	/*
	 * SPECIAL CHARACTERS
	 */
	public static final char CHAR_OPEN_PARANTHESIS = '(';
	public static final char CHAR_CLOSE_PARANTHESIS = ')';
	public static final char CHAR_ARRAY_START = '[';
	public static final char CHAR_ARRAY_END = ']';
	public static final char CHAR_CLASS_START = '{';
	public static final char CHAR_CLASS_END = '}';
	public static final char CHAR_FIELD_NAME__VALUE_SEPERATOR = ':';
	public static final char CHAR_LINE_SEPERATOR = ';';
	public static final char CHAR_FIELD_SEPERATOR = ',';
	public static final char CHAR_EQUALS = '=';
}
