package net.sf.corn.converter.json;

import java.io.Serializable;
/**
 * Represents the null value in JSON
 * @author Serhat Dirik
 *
 */
public class JsTypeNull extends JsTypeObject implements Serializable {
 
	private static final long serialVersionUID = -7042089526699721267L;
	/**
	 * NULL Json object as singleton
	 */
	public static final JsTypeNull NULL = new JsTypeNull();
	private JsTypeNull() {
	}
	@Override
	public String toJsonString() {
			return NULL_STRING_VALUE;
 
	}
	@Override
	public String toString() {
		return toJsonString();

	}
	@Override
	protected Object clone() throws CloneNotSupportedException {
			return NULL;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		return true;
	}

	@Override
	public String toStringValue() {
		return null;
	}

	@Override
	public boolean isNull() {
		return true;
	}

	@Override
	public boolean isComplex() {
		return false;
	}

	@Override
	public boolean isList() {
		return false;
	}

	@Override
	public int size() {
		return 0;
	}
 
}
